package eu.mhsl.craftattack.spawn.appliances.snowballKnockback;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import org.bukkit.entity.*;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.ProjectileHitEvent;

public class SnowballKnockbackListener extends ApplianceListener<SnowballKnockback> {
    @EventHandler
    public void onSnowballHit(ProjectileHitEvent event) {
        if(!event.getEntityType().equals(EntityType.SNOWBALL)) return;
        if(event.getHitEntity() == null) return;
        if(!(event.getHitEntity() instanceof LivingEntity hitEntity)) return;

        Entity snowball = event.getEntity();
        hitEntity.damage(0.0001);
        hitEntity.knockback(0.4, -snowball.getVelocity().getX(), -snowball.getVelocity().getZ());
    }
}
